shiro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "schnatterer (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SHIRO-576) Commons-beanutils dependency is not security compliant
Date Wed, 27 Jul 2016 08:52:20 GMT
schnatterer created SHIRO-576:
---------------------------------

             Summary: Commons-beanutils dependency is not security compliant
                 Key: SHIRO-576
                 URL: https://issues.apache.org/jira/browse/SHIRO-576
             Project: Shiro
          Issue Type: Bug
    Affects Versions: 1.3.0
            Reporter: schnatterer


Commons-beanutils v 1.8.0 dependency is not security compliant. Has issue [CVE-2014-0114|https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-0114].

Note that current version commons-beanutils 1.9.2 in turn has a CVE in its dependency commons-collections
([CVE-2015-6420|https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-6420], see [BEANUTILS-488|https://issues.apache.org/jira/browse/BEANUTILS-488]),
which is already fixed and hopefully will be included in 1.9.3. [1.9.3-RC1|https://github.com/apache/commons-beanutils/releases/tag/beanutils-1.9.3-RC1]
already contains the fix.

So best wait for 1.9.3 and then update.

In addition, consider including the [OWASP Dependency Check|https://www.owasp.org/index.php/OWASP_Dependency_Check]
to the build to find out about CVEs in dependencies faster.





--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message